Bug 1305426 - SELinux is preventing /usr/sbin/ulogd from 'create' accesses on the netlink_netfilter_socket Unknown.
SELinux is preventing /usr/sbin/ulogd from 'create' accesses on the netlink_n...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:965ac61bbb6c1da77ab95b4afdf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 03:04 EST by fred
Modified: 2016-02-16 22:50 EST (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-158.5.fc23 selinux-policy-3.13.1-158.6.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 22:50:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fred 2016-02-08 03:04:37 EST
Description of problem:
SELinux is preventing /usr/sbin/ulogd from 'create' accesses on the netlink_netfilter_socket Unknown.

*****  Plugin catchall (100. confidence) suggests   **************************

If vous pensez que ulogd devrait être autorisé à accéder create sur Unknown netlink_netfilter_socket par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep ulogd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:ulogd_t:s0
Target Context                system_u:system_r:ulogd_t:s0
Target Objects                Unknown [ netlink_netfilter_socket ]
Source                        ulogd
Source Path                   /usr/sbin/ulogd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ulogd-2.0.4-2.fc21.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.4.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.3.4-300.fc23.x86_64 #1 SMP Mon
                              Jan 25 13:39:23 UTC 2016 x86_64 x86_64
Alert Count                   10
First Seen                    2016-02-06 10:09:51 CET
Last Seen                     2016-02-08 08:33:39 CET
Local ID                      c35827d0-31a8-4901-bc24-1145aa4b42ce

Raw Audit Messages
type=AVC msg=audit(1454916819.671:458): avc:  denied  { create } for  pid=1716 comm="ulogd" scontext=system_u:system_r:ulogd_t:s0 tcontext=system_u:system_r:ulogd_t:s0 tclass=netlink_netfilter_socket permissive=0


type=SYSCALL msg=audit(1454916819.671:458): arch=x86_64 syscall=socket success=no exit=EACCES a0=10 a1=3 a2=c a3=7f5554842d68 items=0 ppid=1 pid=1716 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=ulogd exe=/usr/sbin/ulogd subj=system_u:system_r:ulogd_t:s0 key=(null)

Hash: ulogd,ulogd_t,ulogd_t,netlink_netfilter_socket,create

Version-Release number of selected component:
selinux-policy-3.13.1-158.4.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.3.4-300.fc23.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2016-02-08 08:11:50 EST
commit 042c4bf2807de533442f6498fcbd7d2f84051be7
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Mon Feb 8 14:10:34 2016 +0100

    Allow ulogd_t to create netlink_netfilter sockets. rhbz#1305426
Comment 2 Fedora Update System 2016-02-11 09:21:38 EST
selinux-policy-3.13.1-158.6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-36a160982c
Comment 3 Fedora Update System 2016-02-14 11:23:36 EST
selinux-policy-3.13.1-158.6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-36a160982c
Comment 4 Fedora Update System 2016-02-16 22:50:13 EST
selinux-policy-3.13.1-158.6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.